Bug 1372068 - RHEL 7.3 beta error: remediations missing for some sshd rules
Summary: RHEL 7.3 beta error: remediations missing for some sshd rules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: Matus Marhefka
URL:
Whiteboard:
: 1392672 1392674 1392676 1392679 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-31 20:12 UTC by Shawn Wells
Modified: 2017-08-01 12:23 UTC (History)
6 users (show)

Fixed In Version: scap-security-guide-0.1.32-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 12:23:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2064 normal SHIPPED_LIVE scap-security-guide bug fix and enhancement update 2017-08-01 16:05:50 UTC
Github https://github.com/OpenSCAP scap-security-guide issues 1546 None None None 2016-11-08 03:44:32 UTC

Description Shawn Wells 2016-08-31 20:12:29 UTC
RHEL 7.3 beta install with DoD STIG UPSTREAM profile leaves the following SSH items as non-compliant:

- CCE-80220-7: xccdf_org.ssgproject.content_rule_sshd_disable_gssapi_auth
- CCE-80221-5: xccdf_org.ssgproject.content_rule_sshd_disable_kerb_auth
- CCE-80222-3: xccdf_org.ssgproject.content_rule_sshd_enable_strictmodes
- CCE-80223-1: xccdf_org.ssgproject.content_rule_sshd_use_priv_separation
- CCE-80224-9: xccdf_org.ssgproject.content_rule_sshd_disable_compression

The above appear to need remediation scripts.

Comment 2 Shawn Wells 2016-11-08 03:44:33 UTC
upstream bz https://github.com/OpenSCAP/scap-security-guide/issues/1546

Comment 3 Shawn Wells 2016-11-08 04:42:36 UTC
Pending upstream PR: https://github.com/OpenSCAP/scap-security-guide/pull/1554

Comment 5 Marek Haicman 2017-03-17 11:36:25 UTC
For posterity, https://github.com/OpenSCAP/scap-security-guide/pull/1471 is the PR fixing this issues.

Comment 8 Matus Marhefka 2017-06-20 10:59:50 UTC
*** Bug 1392672 has been marked as a duplicate of this bug. ***

Comment 9 Matus Marhefka 2017-06-20 11:18:34 UTC
*** Bug 1392674 has been marked as a duplicate of this bug. ***

Comment 10 Matus Marhefka 2017-06-20 11:19:12 UTC
*** Bug 1392676 has been marked as a duplicate of this bug. ***

Comment 11 Matus Marhefka 2017-06-20 11:19:34 UTC
*** Bug 1392679 has been marked as a duplicate of this bug. ***

Comment 12 Marek Haicman 2017-06-21 18:05:12 UTC
OLD:
scap-security-guide-0.1.30-3.el7.noarch
--profile xccdf_org.ssgproject.content_profile_stig-rhel7-server-upstream
xccdf_org.ssgproject.content_rule_sshd_disable_gssapi_auth:fail
xccdf_org.ssgproject.content_rule_sshd_disable_kerb_auth:fail
xccdf_org.ssgproject.content_rule_sshd_enable_strictmodes:fail
xccdf_org.ssgproject.content_rule_sshd_use_priv_separation:fail
xccdf_org.ssgproject.content_rule_sshd_disable_compression:fail
----
NO REMEDIATIONS


NEW:
scap-security-guide-0.1.33-5.el7.noarch
--profile xccdf_org.ssgproject.content_profile_ospp-rhel7
xccdf_org.ssgproject.content_rule_sshd_disable_gssapi_auth:fail
xccdf_org.ssgproject.content_rule_sshd_disable_kerb_auth:fail
xccdf_org.ssgproject.content_rule_sshd_enable_strictmodes:fail
xccdf_org.ssgproject.content_rule_sshd_use_priv_separation:fail
xccdf_org.ssgproject.content_rule_sshd_disable_compression:fail
----
xccdf_org.ssgproject.content_rule_sshd_disable_gssapi_auth:fixed
xccdf_org.ssgproject.content_rule_sshd_disable_kerb_auth:fixed
xccdf_org.ssgproject.content_rule_sshd_enable_strictmodes:fixed
xccdf_org.ssgproject.content_rule_sshd_use_priv_separation:fixed
xccdf_org.ssgproject.content_rule_sshd_disable_compression:fixed

Comment 13 errata-xmlrpc 2017-08-01 12:23:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2064


Note You need to log in before you can comment on or make changes to this bug.